<div class="h-100 d-flex flex-column" id="list-details" style="padding: 20px;">

    <div class="d-flex flex-fill">

        <div class="mat-elevation-z1 bg-white w-100 flex-fill mr-2">

            <mat-tab-group class="h-100">

                <mat-tab [label]="titlePrefix+' ' + emailSms.toUpperCase() + ' LIST'">

                    <div class="d-flex flex-column h-100" style="padding: 15px;">

                        <div class="mb-3 d-flex align-items-center" [formGroup]="listForm">

                            <mat-button-toggle-group appearance="legacy" name="type" class="mr-3" [(value)]="emailSms"
                                                     style="margin-top: -22px;">
                                <mat-button-toggle value="Email">Email</mat-button-toggle>
                                <mat-button-toggle value="Sms">Sms</mat-button-toggle>
                            </mat-button-toggle-group>

                            <mat-form-field appearance="outline" class="full-width ml-2">
                                <mat-label>{{emailSms}} List Name</mat-label>
                                <input matInput formControlName="listName" [placeholder]="emailSms + 'List Name'" appCharLimit
                                       [frmGroup]="listForm" fcName="listName" [max]="100">
                                <mat-error *ngIf="listForm.get('listName').hasError('exceedLimit')">
                                    {{listForm.get('listName').getError('exceedLimit')}}
                                </mat-error>
                                <mat-error *ngIf="listForm.get('listName').hasError('required')">
                                    This field is required.
                                </mat-error>
                            </mat-form-field>

                        </div>


                        <div class="flex-fill">

                            <app-grid-no-data
                                    *ngIf="!isFilterApplied && !hasId && !duplicate"
                                    description="Please apply the filter condition in order to show the contact list based on the condition"
                                    title="You Haven't Applied Any Filter"></app-grid-no-data>

                            <kendo-grid *ngIf="isFilterApplied || hasId || duplicate" #grid class="list-details-grid" [data]="gridView"
                                        [pageSize]="pageSize" [skip]="skip"
                                        [pageable]="true" [columnMenu]="false"
                                        (dataStateChange)="dataStateChange($event)" [groupable]="false"
                                        [reorderable]="reorder" [sort]="sort"
                                        (sortChange)="sortChange($event)" (groupChange)="groupChange($event)"
                                        [sortable]="{
                    allowUnsort: allowUnsort,
                    mode: multiple ? 'multiple' : 'single'
                }"
                                        [selectable]="{
                                            checkboxOnly: true,
                                            mode: 'multiple'
                                        }" [filterable]="'menu'" [filter]="state.filter"
                                        [style.height.%]="100"
                                        [kendoGridSelectBy]="'email'"
                                        [(selectedKeys)]="selectedRowEmail"
                                        (selectionChange)="onSelectRow($event)">

                                <kendo-grid-checkbox-column [showSelectAll]="true" [width]="30">
<!--                                    <ng-template kendoGridCellTemplate let-idx="rowIndex">-->
<!--                                        Select row <input [kendoGridSelectionCheckbox]="idx" />-->
<!--                                    </ng-template>-->
                                </kendo-grid-checkbox-column>

                                <kendo-grid-column field="name" title="Name" [width]="100"></kendo-grid-column>

                                <kendo-grid-column [field]="emailSms === 'Sms' ? 'mobileNo' : 'email'"
                                                   [title]="emailSms === 'Sms' ? 'Contact Number' : 'Email'"
                                                   [width]="200"></kendo-grid-column>

                                <kendo-grid-column field="status" title="Status" [width]="100"></kendo-grid-column>
                            </kendo-grid>

                        </div>


                        <div class="footer-container">
                            <mat-divider></mat-divider>
                            <div class="mt-2 container-fluid d-flex align-items-center justify-content-end h-100">
                                <button type="button" mat-stroked-button color="accent" class="cancel-btn"
                                        [routerLink]="'/communications/list'">Cancel
                                </button>
                                <button mat-raised-button color="accent" class="save-btn ml-2"
                                        [disabled]="selectedRow.length == 0 || listForm.invalid" (click)="save()">
                                    {{hasId ? 'Update' : 'Create'}}
                                </button>
                            </div>
                        </div>

                    </div>

                </mat-tab>

            </mat-tab-group>

        </div>

        <div class="mat-elevation-z1 bg-white mr-2">

            <mat-tab-group>

                <mat-tab label="SEARCH FILTERS" style="padding: 15px;">

                    <div class="filter-popup h-100">

                        <div class="d-flex flex-column h-100">
                            <div class="content-container flex-fill overflow-auto">

                                <div class="mb-4">
                                    <mat-radio-group class="d-flex justify-content-between" style="gap: 10px;"
                                                     [(ngModel)]="searchType" (ngModelChange)="onFilterTypeChange()">
                                        <div class="search-type-radio-btn">
                                            <mat-radio-button value="1" color="accent">Basic</mat-radio-button>
                                        </div>
                                        <div class="search-type-radio-btn">
                                            <mat-radio-button value="2" color="accent">List Based</mat-radio-button>
                                        </div>
                                        <div class="search-type-radio-btn">
                                            <mat-radio-button value="3" color="accent">Advanced</mat-radio-button>
                                        </div>
                                    </mat-radio-group>
                                </div>

                                <ng-container [ngSwitch]="searchType">

                                    <app-basic-search *ngSwitchCase="1" [formGroup]="basicSearchFG"></app-basic-search>
                                    <app-list-based-search *ngSwitchCase="2"
                                                           [formGroup]="listSearchFG"></app-list-based-search>
                                    <app-advanced-search *ngSwitchCase="3"
                                                         [formGroup]="advancedSearchFG"></app-advanced-search>

                                </ng-container>

                            </div>
                            <div class="footer-container">
                                <mat-divider></mat-divider>
                                <div class="container-fluid d-flex align-items-center justify-content-end h-100">
                                    <button type="button" mat-stroked-button color="accent" class="cancel-btn"
                                            [disabled]="!(disabledApply | async) && !isFilterApplied"
                                            (click)="clearFilter()">Reset
                                    </button>
                                    <button mat-raised-button color="accent" class="save-btn"
                                            [disabled]="!(disabledApply | async)" (click)="filterData()">
                                        Apply
                                    </button>
                                </div>
                            </div>
                        </div>

                    </div>
                </mat-tab>
            </mat-tab-group>
        </div>
    </div>

</div>

